<?php
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * Contents_bookmark model class
 */

class Contents_bookmark_model extends MY_Model
{

    /**
     * 테이블명
     */
    public $_table = 'contents_bookmark';

    /**
     * 사용되는 테이블의 프라이머리키
     */
    public $primary_key = 'bookmark_id'; // 사용되는 테이블의 프라이머리키

    function __construct()
    {
        parent::__construct();
    }

    public function get_admin_list($limit = '', $offset = '', $where = '', $like = '', $findex = '', $forder = '', $sfield = '', $skeyword = '', $sop = 'OR')
    {
        $select = 'contents_bookmark.*, contents.con_title, contents.cat1_id, contents.cat2_id, contents.con_created_at, user.user_id, user.user_username';
        $join[] = array('table' => 'user', 'on' => 'contents_bookmark.user_id = user.user_id', 'type' => 'inner');
        $join[] = array('table' => 'contents', 'on' => 'contents_bookmark.con_id = contents.con_id', 'type' => 'inner');
        $result = $this->_get_list_common($select, $join, $limit, $offset, $where, $like, $findex, $forder, $sfield, $skeyword, $sop);
        return $result;
    }
}
